curl --request PUT \
--url 'https://api.hubapi.com/crm/extensions/videoconferencing/2026-09/settings/{appId}?hapikey=' \
--header 'Content-Type: application/json' \
--data '
{
"createMeetingUrl": "<string>",
"deleteMeetingUrl": "<string>",
"fetchAccountsUri": "<string>",
"updateMeetingUrl": "<string>",
"userVerifyUrl": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/extensions/videoconferencing/2026-09/settings/{appId}?hapikey="
payload = {
"createMeetingUrl": "<string>",
"deleteMeetingUrl": "<string>",
"fetchAccountsUri": "<string>",
"updateMeetingUrl": "<string>",
"userVerifyUrl": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
createMeetingUrl: '<string>',
deleteMeetingUrl: '<string>',
fetchAccountsUri: '<string>',
updateMeetingUrl: '<string>',
userVerifyUrl: '<string>'
})
};
fetch('https://api.hubapi.com/crm/extensions/videoconferencing/2026-09/settings/{appId}?hapikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/extensions/videoconferencing/2026-09/settings/{appId}?hapikey=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'createMeetingUrl' => '<string>',
'deleteMeetingUrl' => '<string>',
'fetchAccountsUri' => '<string>',
'updateMeetingUrl' => '<string>',
'userVerifyUrl' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/extensions/videoconferencing/2026-09/settings/{appId}?hapikey="
payload := strings.NewReader("{\n \"createMeetingUrl\": \"<string>\",\n \"deleteMeetingUrl\": \"<string>\",\n \"fetchAccountsUri\": \"<string>\",\n \"updateMeetingUrl\": \"<string>\",\n \"userVerifyUrl\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.hubapi.com/crm/extensions/videoconferencing/2026-09/settings/{appId}?hapikey=")
.header("Content-Type", "application/json")
.body("{\n \"createMeetingUrl\": \"<string>\",\n \"deleteMeetingUrl\": \"<string>\",\n \"fetchAccountsUri\": \"<string>\",\n \"updateMeetingUrl\": \"<string>\",\n \"userVerifyUrl\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/extensions/videoconferencing/2026-09/settings/{appId}?hapikey=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"createMeetingUrl\": \"<string>\",\n \"deleteMeetingUrl\": \"<string>\",\n \"fetchAccountsUri\": \"<string>\",\n \"updateMeetingUrl\": \"<string>\",\n \"userVerifyUrl\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"createMeetingUrl": "<string>",
"deleteMeetingUrl": "<string>",
"fetchAccountsUri": "<string>",
"updateMeetingUrl": "<string>",
"userVerifyUrl": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create or update settings
Create or update video conference extension settings for your app
curl --request PUT \
--url 'https://api.hubapi.com/crm/extensions/videoconferencing/2026-09/settings/{appId}?hapikey=' \
--header 'Content-Type: application/json' \
--data '
{
"createMeetingUrl": "<string>",
"deleteMeetingUrl": "<string>",
"fetchAccountsUri": "<string>",
"updateMeetingUrl": "<string>",
"userVerifyUrl": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/extensions/videoconferencing/2026-09/settings/{appId}?hapikey="
payload = {
"createMeetingUrl": "<string>",
"deleteMeetingUrl": "<string>",
"fetchAccountsUri": "<string>",
"updateMeetingUrl": "<string>",
"userVerifyUrl": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
createMeetingUrl: '<string>',
deleteMeetingUrl: '<string>',
fetchAccountsUri: '<string>',
updateMeetingUrl: '<string>',
userVerifyUrl: '<string>'
})
};
fetch('https://api.hubapi.com/crm/extensions/videoconferencing/2026-09/settings/{appId}?hapikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/extensions/videoconferencing/2026-09/settings/{appId}?hapikey=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'createMeetingUrl' => '<string>',
'deleteMeetingUrl' => '<string>',
'fetchAccountsUri' => '<string>',
'updateMeetingUrl' => '<string>',
'userVerifyUrl' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/extensions/videoconferencing/2026-09/settings/{appId}?hapikey="
payload := strings.NewReader("{\n \"createMeetingUrl\": \"<string>\",\n \"deleteMeetingUrl\": \"<string>\",\n \"fetchAccountsUri\": \"<string>\",\n \"updateMeetingUrl\": \"<string>\",\n \"userVerifyUrl\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.hubapi.com/crm/extensions/videoconferencing/2026-09/settings/{appId}?hapikey=")
.header("Content-Type", "application/json")
.body("{\n \"createMeetingUrl\": \"<string>\",\n \"deleteMeetingUrl\": \"<string>\",\n \"fetchAccountsUri\": \"<string>\",\n \"updateMeetingUrl\": \"<string>\",\n \"userVerifyUrl\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/extensions/videoconferencing/2026-09/settings/{appId}?hapikey=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"createMeetingUrl\": \"<string>\",\n \"deleteMeetingUrl\": \"<string>\",\n \"fetchAccountsUri\": \"<string>\",\n \"updateMeetingUrl\": \"<string>\",\n \"userVerifyUrl\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"createMeetingUrl": "<string>",
"deleteMeetingUrl": "<string>",
"fetchAccountsUri": "<string>",
"updateMeetingUrl": "<string>",
"userVerifyUrl": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Authorizations
Path Parameters
The unique identifier of the app whose video conferencing settings are to be updated.
Body
A string representing the URL used to create a new meeting. This property is required.
A string representing the URL used to delete a meeting.
A string representing the URI used to fetch account information.
A string representing the URL used to update an existing meeting.
A string representing the URL used to verify a user's identity.
Response
successful operation
A string representing the URL used to create a new meeting. This property is required.
A string representing the URL used to delete a meeting.
A string representing the URI used to fetch account information.
A string representing the URL used to update an existing meeting.
A string representing the URL used to verify a user's identity.
Was this page helpful?